.carousel-box {
    display: flex;
    overflow-x: scroll;
    overflow-y: hidden;
    margin: 0px 0px 15px 0px;
    padding-top: 10px;
    height: 205px;
    width: 100%;
    cursor: move;
}

.carousel-diag {
    flex: 0 0 350px;
    height: 140px;
    max-width: 350px;
    margin-left: 10px;
    padding: 10px 15px 10px 15px;
    scroll-snap-align: start;
    background: var(--carousel_bg);
    border: 1px solid var(--carousel_border);
    border-left: 2px solid var(--purple_gradient_1);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15), 0 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    white-space: nowrap;
    transition-duration: 0.1s;
    overflow-x: hidden;
    overflow-y: hidden;
    text-overflow: ellipsis;

    &.spawn-animation {
        animation: spawn-in 0.8s ease-in-out;
    }

    &:hover {
        background: var(--carousel_bg_hover);
        transition: ease-in-out;
        transition-duration: 0.1s;
        user-select: none;
        transform: translateY(-1px);
    }

    &.my-diag {
        background: var(--carousel_my_diag_bg);
        border: 1px solid var(--carousel_my_diag_border);
        border-left: 2px solid var(--carousel_my_diag_border);

        &:hover {
            background: var(--carousel_my_diag_bg_hover);
        }
    }

    .contenu {
        display: flex;
        justify-content: space-between;
    }

    .img img {
        width: auto;
        height: auto;
        max-width: 97px;
        max-height: 97px;
        margin-left: 10px;
        padding: 2px;
        background: var(--preview_bg);
        border-radius: 10px;
        box-shadow: 0 2px 10px 0px var(--box_shadow);
    }

    .text {
        font-size: 14px;

        .time {
            font-size: 12px;
        }

        p {
            max-width: 240px;
            overflow-x: hidden;
            overflow-y: hidden;
            text-overflow: ellipsis;
        }
    }

    a:visited {
        color: var(--carousel_a_visited_color);
    }
}

@keyframes spawn-in {
    0% {
        opacity: 0;
        transform: scale(1) translateY(200px);
        flex-basis: 0;
        min-width: 0;
        padding-left: 0;
        padding-right: 0;
        margin-left: 0;
    }
    10% {
        opacity: 0;
        transform: scale(1) translateY(200px);
        flex-basis: 0;
        min-width: 0;
        padding-left: 0;
        padding-right: 0;
        margin-left: 0;
    }
    80% {
        transform: scale(1) translateY(0);
        flex-basis: 350px;
        padding-left: 15px;
        padding-right: 15px;
        margin-left: 10px;
    }
    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
        flex-basis: 350px;
        padding-left: 15px;
        padding-right: 15px;
        margin-left: 10px;
    }
}
